package domain

type AlibabaHmMarketingItemdiscountAdditemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *AlibabaHmMarketingItemdiscountAdditemItemDiscountSku `json:"data,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountAdditemMarketResult) SetMessage(v string) *AlibabaHmMarketingItemdiscountAdditemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItemdiscountAdditemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemMarketResult) SetData(v AlibabaHmMarketingItemdiscountAdditemItemDiscountSku) *AlibabaHmMarketingItemdiscountAdditemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItemdiscountAdditemMarketResult {
	s.Success = &v
	return s
}
